examples.jmdp

## Enum TandemEvent.TEvent

- java.lang.Object
- - java.lang.Enum<TandemEvent.TEvent>
  - - examples.jmdp.TandemEvent.TEvent

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TandemEvent.TEvent>
  Enclosing class:
    TandemEvent

      public static enum TandemEvent.TEvent
      extends java.lang.Enum<TandemEvent.TEvent>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Arrival` When a customer arrives
    `Service1` When a customer completes service at station 1
    `Service2` When a customer completes service at station 2

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TandemEvent.TEvent` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TandemEvent.TEvent[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### Arrival

          public static final TandemEvent.TEvent Arrival

      When a customer arrives

    - #### Service1

          public static final TandemEvent.TEvent Service1

      When a customer completes service at station 1

    - #### Service2

          public static final TandemEvent.TEvent Service2

      When a customer completes service at station 2

  - ### Method Detail

    - #### values

          public static TandemEvent.TEvent[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TandemEvent.TEvent c : TandemEvent.TEvent.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TandemEvent.TEvent valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null